package io.swagger.api;

import groovyx.net.http.*
import static groovyx.net.http.ContentType.*
import static groovyx.net.http.Method.*
import io.swagger.api.ApiUtils


import java.util.*;

@Mixin(ApiUtils)
class RescheduleApi {
    String basePath = "https://reputationcrm.com/v2"
    String versionPath = "/api/v1"

    def rescheduleCustomerAutomatic ( String customerid, String language, Closure onSuccess, Closure onFailure)  {
        // create path and map path parameters (TODO)
        String resourcePath = "/rescheduleCustomerAutomatic"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (customerid == null) {
            throw new RuntimeException("missing required params customerid")
        }
        // verify required params are set
        if (language == null) {
            throw new RuntimeException("missing required params language")
        }

        

        // Also still TODO: form params, body param

        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "POST", "",
                    null )
                    
    }
    def rescheduleCustomerImmediate ( String customerid, String language, Closure onSuccess, Closure onFailure)  {
        // create path and map path parameters (TODO)
        String resourcePath = "/rescheduleCustomerImmediate"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (customerid == null) {
            throw new RuntimeException("missing required params customerid")
        }
        // verify required params are set
        if (language == null) {
            throw new RuntimeException("missing required params language")
        }

        

        // Also still TODO: form params, body param

        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "POST", "",
                    null )
                    
    }
    def rescheduleManualOneReviewRequest ( String customerid, String language, String scheduledate, String scheduletime, String emailnumber, String smsnumber, Closure onSuccess, Closure onFailure)  {
        // create path and map path parameters (TODO)
        String resourcePath = "/rescheduleManualOneReviewRequest"

        // query params
        def queryParams = [:]
        def headerParams = [:]
    
        // verify required params are set
        if (customerid == null) {
            throw new RuntimeException("missing required params customerid")
        }
        // verify required params are set
        if (language == null) {
            throw new RuntimeException("missing required params language")
        }
        // verify required params are set
        if (scheduledate == null) {
            throw new RuntimeException("missing required params scheduledate")
        }
        // verify required params are set
        if (scheduletime == null) {
            throw new RuntimeException("missing required params scheduletime")
        }
        // verify required params are set
        if (emailnumber == null) {
            throw new RuntimeException("missing required params emailnumber")
        }
        // verify required params are set
        if (smsnumber == null) {
            throw new RuntimeException("missing required params smsnumber")
        }

        

        // Also still TODO: form params, body param

        invokeApi(onSuccess, onFailure, basePath, versionPath, resourcePath, queryParams, headerParams,
                    "POST", "",
                    null )
                    
    }
}
